# Add Note Transactions

{% hint style="warning" %}
**Limited Support/End of Life Capabilities**

The Classic API has been replaced by the Alemba RestFul API.  While we will continue to support the Classic API for clients that are still using it, no further development will be done.

If you need to request a hotfix or support for these features, please contact [<mark style="color:blue;">**Alemba Support**</mark>](https://alemba.help/production/Portal.aspx)
{% endhint %}

### AddNote Transaction

The AddNote transaction can be used to add a note to an existing call, request or task. In this transaction, the entity type to which to add the note is specified as an enumerated value.

#### Input Parameters: AddNoteRequest

<table data-header-hidden><thead><tr><th></th><th width="100"></th><th width="150"></th><th width="93"></th><th></th></tr></thead><tbody><tr><td>Argument</td><td>Type</td><td>Mandatory</td><td>Default</td><td>Description</td></tr><tr><td>sID</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Analyst’s current Session ID</td></tr><tr><td>sLoginUserID</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Analyst’s Login ID</td></tr><tr><td>sLoginPassword</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Analyst’s Password</td></tr><tr><td>sDatabase</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Name of the ASM System for logging in.</td></tr><tr><td>lEntityRef</td><td>Lookup Field</td><td>Yes</td><td>-</td><td>Call / Request / Task number to which the note is added.</td></tr><tr><td>eEntityType</td><td>Enumerated</td><td><p>Yes</p><p>This is mandatory in ASM, despite the third party documentation suggesting that it can be optional in some cases.</p></td><td>-</td><td><p>Entity to which to add a note. Values:</p><ul><li>Call</li><li>Request</li><li>Task</li></ul></td></tr><tr><td>bIsHTML</td><td>Boolean</td><td>No</td><td>False</td><td><p>Format in which Note Text will be added. Values:</p><ul><li>True = Note Text will be added in HTML format.</li><li>False = Note Text will be added in Plain Text format.</li></ul></td></tr><tr><td>sNoteText</td><td>String</td><td>No</td><td>“”</td><td>Note contents to be added to the call / request / task.</td></tr><tr><td>bEmail</td><td>Boolean</td><td>No</td><td>False</td><td><p>Send an email to the currently assigned analyst/group regarding this note. Values:</p><ul><li>True = Send email to the currently assigned analyst/group</li><li>False = No email will be sent to the assigned analyst/group regarding this note.</li></ul></td></tr><tr><td>bEmailForum</td><td>Boolean</td><td>No</td><td>False</td><td><p>Only applies to notes added to Calls.</p><p>Send an email to forum members on the call about this note. Values:</p><ul><li>True = Send email to forum members regarding this note</li><li>False = No email will be sent to forum analysts regarding this note.</li></ul></td></tr><tr><td>bInternal</td><td>Boolean</td><td>No</td><td>False</td><td><p>Send an internal message to the currently assigned analyst/group regarding this note. Values:</p><ul><li>True = Send internal message to the currently assigned analyst/group</li><li>False = No internal message will be sent regarding this note.</li></ul></td></tr><tr><td>bPager</td><td>Boolean</td><td>No</td><td>False</td><td><p>Send a pager message to the currently assigned analyst/group regarding this note. Values:</p><ul><li>True = Send pager message to the currently assigned analyst/group</li><li>False = No pager message will be sent regarding this note.</li></ul></td></tr><tr><td>yPortal</td><td>Yes/No</td><td>No</td><td>No</td><td><p>Publish this note on Self Service Portal? Values:</p><ul><li>Yes = Note will be available to view on the Portal</li><li>No = Note will not be available to view on the Portal.</li></ul></td></tr><tr><td>lSecurityProfile</td><td>Lookup Field</td><td>No</td><td>0</td><td>Security Profile to apply to the note</td></tr><tr><td>sReason</td><td>String</td><td>No</td><td>“”</td><td><p>Audit reason.</p><p>If Change Reasons are mandatory, this field is mandatory.</p></td></tr><tr><td>aCustomParameters</td><td>Array</td><td>No</td><td>“”</td><td>See Defining Custom Parameters.</td></tr></tbody></table>

#### Return Values: AddNoteResponse

| Argument   | Type      | Description                                              |
| ---------- | --------- | -------------------------------------------------------- |
| nEntityRef | Integer   | Call / Request / Task number to which the note was added |
| sMessage   | String    | Error/Warning Message returned from the API Transaction  |
| Ret        | APIReturn | Error/Warning Message returned from the API Transaction  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alemba.com/asm-hermes/setup-and-configure-asm/faq/limited-support-end-of-life-capabilities/alemba-classic-api/api-transactions/system-transactions/add-note-transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
